<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suif1.texi on 28 April 1999 -->

<TITLE>The SUIF Version 1 Library - Footnotes</TITLE>

</HEAD>
<BODY>
<H1>The SUIF Library</H1>
<H2>A set of core routines for manipulating SUIF data structures</H2>
<ADDRESS>Stanford Compiler Group</ADDRESS>
<P>
<P><HR><P>
<H3><A NAME="FOOT1" HREF="suif1_6.html#DOCF1">(1)</A></H3>
<P>The manager must
be provided with functions to convert structured annotations to and from
these immediate values.
<H3><A NAME="FOOT2" HREF="suif1_17.html#DOCF2">(2)</A></H3>
<P>The code produced directly by the C
front-end assumes that the upper bound and step operands are reevaluated
on every iteration.  The expander's cleanup pass dismantles any
<CODE>tree_for</CODE> nodes for which it cannot guarantee that these semantics
are equivalent.
<H3><A NAME="FOOT3" HREF="suif1_25.html#DOCF3">(3)</A></H3>
<P>Note that
for other classes it is your responsibility to make sure that the
destination is null if the instruction does not produce a result.
<H3><A NAME="FOOT4" HREF="suif1_56.html#DOCF4">(4)</A></H3>
<P>This rule may appear to be violated when using Fortran form
with call-by-reference arrays with unknown bounds, but the actual type
of such a variable is a pointer to the array type (see section <A HREF="suif1_90.html#SEC90">Call-By-Reference Parameters</A>).
<H3><A NAME="FOOT5" HREF="suif1_60.html#DOCF5">(5)</A></H3>
<P>Even if the current implementation compares annotations,
future versions of the SUIF library may not, so do not depend on that
behavior.
<H3><A NAME="FOOT6" HREF="suif1_92.html#DOCF6">(6)</A></H3>
<P>C++ templates
would be a better solution, but at the time when this was developed, we
did not have a C++ compiler with a robust implementation of templates.
<H3><A NAME="FOOT7" HREF="suif1_104.html#DOCF7">(7)</A></H3>
<P>Unlike when calling
<CODE>register_library</CODE> directly, the function arguments are required
when using the <CODE>LIBRARY</CODE> macro.
<P><HR><P>
This document was generated on 28 April 1999 using the
<A HREF="http://wwwcn.cern.ch/dci/texi2html/">texi2html</A>
translator version 1.51a.</P>
</BODY>
</HTML>
